/*
 * main.cpp
 *
 *  Created on: Dec 23, 2010
 *      Author: Tobias Brosch
 */

#include <QtGui>
#include "MBViewer.h" // View
#include "MBSet.h" // Model
int main(int argc, char *argv[]) {
	QApplication a(argc, argv);

	MBViewer mBViewer;
	MBSet mBSet(400, 200);

	// make view update on model change
	QObject::connect(&mBSet, SIGNAL(viewChanged(const boost::multi_array<double, 2>*)),
			&mBViewer, SLOT(updateView(const boost::multi_array<double, 2>*)));

	// generate initial content,
	// which will emit the signal viewChanged,
	// so that our Slot updateView is called
	mBSet.updateModel();
	mBViewer.show();

	return a.exec();
}
